Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.PwdChangeStatus

    java.lang.Object
      java.lang.Enum<Account.PwdChangeStatus>
          com.skype.api.Account.PwdChangeStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.PwdChangeStatus>

Enclosing class:
  Account

    public static enum Account.PwdChangeStatus

extends java.lang.Enum<Account.PwdChangeStatus>
implements EnumConverting

Recognized values for the P_PWDCHANGESTATUS property that provides information on whether a password change succeeded or failed, giving detailed failure reason. After successful return from the Change Password method, clients should monitor the P_PWDCHANGESTATUS property changes. - PWD_CHANGING - consider displaying an "in progress" indicator and continue polling - PWD_OK - consider displaying an updated indicator and stop polling - PWD_OK_BUT_CHANGE_SUGGESTED - consider displaying an updated indicator, along with a recommendation to change again to a stronger password.

Enum Constant Summary
`PWD_CHANGING` Password change is in progress.
`PWD_INVALID_NEW_PWD` The new password was unacceptable.
`PWD_INVALID_OLD_PASSWORD` Old password was incorrect.
`PWD_MUST_DIFFER_FROM_OLD` New password was exactly the same as old one.
`PWD_MUST_LOG_IN_TO_CHANGE` Account was currently not logged in.
`PWD_OK` Password change succeeded.
`PWD_OK_BUT_CHANGE_SUGGESTED` Password was set but server didn't like it much.
`PWD_SERVER_CONNECT_FAILED` Failed to verify password because of no connection to server.

Field Summary
`static int` | `PWD_CHANGING_VALUE`
`static int` | `PWD_INVALID_NEW_PWD_VALUE`
`static int` | `PWD_INVALID_OLD_PASSWORD_VALUE`
`static int` | `PWD_MUST_DIFFER_FROM_OLD_VALUE`
`static int` | `PWD_MUST_LOG_IN_TO_CHANGE_VALUE`
`static int` | `PWD_OK_BUT_CHANGE_SUGGESTED_VALUE`
`static int` | `PWD_OK_VALUE`
`static int` | `PWD_SERVER_CONNECT_FAILED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.PwdChangeStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.PwdChangeStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.PwdChangeStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PWD_OK

    public static final Account.PwdChangeStatus PWD_OK

  Password change succeeded.

### PWD_CHANGING

    public static final Account.PwdChangeStatus PWD_CHANGING

  Password change is in progress.

### PWD_INVALID_OLD_PASSWORD

    public static final Account.PwdChangeStatus PWD_INVALID_OLD_PASSWORD

  Old password was incorrect.

### PWD_SERVER_CONNECT_FAILED

    public static final Account.PwdChangeStatus PWD_SERVER_CONNECT_FAILED

  Failed to verify password because of no connection to server.

### PWD_OK_BUT_CHANGE_SUGGESTED

    public static final Account.PwdChangeStatus PWD_OK_BUT_CHANGE_SUGGESTED

  Password was set but server didn't like it much.

### PWD_MUST_DIFFER_FROM_OLD

    public static final Account.PwdChangeStatus PWD_MUST_DIFFER_FROM_OLD

  New password was exactly the same as old one.

### PWD_INVALID_NEW_PWD

    public static final Account.PwdChangeStatus PWD_INVALID_NEW_PWD

  The new password was unacceptable. (too short, too simple, etc.)

### PWD_MUST_LOG_IN_TO_CHANGE

    public static final Account.PwdChangeStatus PWD_MUST_LOG_IN_TO_CHANGE

  Account was currently not logged in.

Field Detail

### PWD_OK_VALUE

    public static final int PWD_OK_VALUE

See Also:
  Constant Field Values

### PWD_CHANGING_VALUE

    public static final int PWD_CHANGING_VALUE

See Also:
  Constant Field Values

### PWD_INVALID_OLD_PASSWORD_VALUE

    public static final int PWD_INVALID_OLD_PASSWORD_VALUE

See Also:
  Constant Field Values

### PWD_SERVER_CONNECT_FAILED_VALUE

    public static final int PWD_SERVER_CONNECT_FAILED_VALUE

See Also:
  Constant Field Values

### PWD_OK_BUT_CHANGE_SUGGESTED_VALUE

    public static final int PWD_OK_BUT_CHANGE_SUGGESTED_VALUE

See Also:
  Constant Field Values

### PWD_MUST_DIFFER_FROM_OLD_VALUE

    public static final int PWD_MUST_DIFFER_FROM_OLD_VALUE

See Also:
  Constant Field Values

### PWD_INVALID_NEW_PWD_VALUE

    public static final int PWD_INVALID_NEW_PWD_VALUE

See Also:
  Constant Field Values

### PWD_MUST_LOG_IN_TO_CHANGE_VALUE

    public static final int PWD_MUST_LOG_IN_TO_CHANGE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.PwdChangeStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.PwdChangeStatus c : Account.PwdChangeStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.PwdChangeStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.PwdChangeStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.